Bug 965367 - Doesn't show jenkins username and password via "rhc app-show"
Doesn't show jenkins username and password via "rhc app-show"
Status: CLOSED NOTABUG
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 23:35 EDT by Wei Sun
Modified: 2015-05-14 20:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-21 11:11:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2013-05-20 23:35:17 EDT
Description of problem:
Create a jenkins application,and run `rhc app-show $appname`,but doens't show jenkins username and password.
But can get jenkins username and password via REST API or envionment variables:JENKINS_USERNAME and JENKINS_PASSWORD
 
Version-Release number of selected component (if applicable):
INT(devenv-3250)

How reproducible:
Always

Steps to Reproduce:
1.Create a jenkins application
2.Run `rhc app-show $appname`
3.

Actual results:
openshift@openshift-ubuntu:~$ rhc app-show jenk
jenk @ http://jenk-wsun2int.int.rhcloud.com/ (uuid: 519ae0b56cec0ed119000064)
-----------------------------------------------------------------------------
  Created: 10:49 PM
  Gears:   1 (defaults to small)
  Git URL: ssh://519ae0b56cec0ed119000064@jenk-wsun2int.int.rhcloud.com/~/git/jenk.git/
  SSH:     519ae0b56cec0ed119000064@jenk-wsun2int.int.rhcloud.com

  jenkins-1.4 (Jenkins Server 1.4)
  --------------------------------
    Gears: 1 small


Expected results:
Can show jenkins username and password

Additional info:
1.After creating the app,show username and password.
2.Can show username and password via RESTAPI
openshift@openshift-ubuntu:~$ rest_api_app_resource jenk gear_groups
+ curl -k -X GET -H 'Accept: application/xml' --user wsun+2@redhat.com:redhat https://int.openshift.redhat.com/broker/rest/domains/wsun2int/applications/jenk/gear_groups
<?xml version="1.0" encoding="UTF-8"?>
<response>
  <status>ok</status>
  <type>gear_groups</type>
  <data>
    <gear-group>
      <uuid>519ae0b56cec0ed119000074</uuid>
      <name>519ae0b56cec0ed119000074</name>
      <gear-profile>small</gear-profile>
      <gears>
        <gear>
          <id>519ae0b56cec0ed119000064</id>
          <state>started</state>
          <ssh-url>ssh://519ae0b56cec0ed119000064@jenk-wsun2int.int.rhcloud.com</ssh-url>
        </gear>
      </gears>
      <cartridges>
        <cartridge>
          <username>system_builder</username>
          <password>67Sat893M6d1</password>
          <name>jenkins-1.4</name>
          <display-name>Jenkins Server 1.4</display-name>
          <tags>
            <tag>web_framework</tag>
            <tag>instant_app</tag>
            <tag>ci</tag>
            <tag>domain_scope</tag>
          </tags>
        </cartridge>
3.Can get jenkins username and password
Comment 1 Dan Mace 2013-05-21 09:49:22 EDT
Reassigning to the broker team. The 'app-show' command is handled exclusively by the broker: no request is sent to the node to obtain information for presentation to the client. Both the v1 and v2 Jenkins cartridges provide the same response to the broker during configure for these values:

V1 configure response:

  SSH_KEY_ADD: AAAAB3NzaC1yc2EAAAABIwAAAQEApIZX2uxBn7adiD2hnHzn6rp1HRMThZQl8j6VSVQsmzYZ+poSp6xwigon7y1wefSCoSQu7nqe8dJU4QGXj0+NOv6aIf8cnty4SQIPA7y9QeDQVugdeQdJN2lRF9pk9YzDobRyF1vrXGhWzknnEmNG46rU7S3dRG5Dr47lyPSflvBjA2Zi5oQYNYzMbCto8bhIQh/q0CweQ9GFXrEKJSbpIQRO10KlVS3oygIsU1NDAHcIf3lUPZ5oW0wcajgOUpIeJt6qBZ6tLpviWM//CBbXjfEsSKbe84aD3xMjDq/SrUi0+GvRwDIjn46odEmd0qEYOF4pvexfWKdYQwTAI7czmw==                                                                                                                     
  BROKER_AUTH_KEY_ADD:
  Initialized empty Git repository in /var/lib/openshift/146960408226415264137216/git/jenkinsv1.git/
  Waiting ...
  Waiting ...
  Waiting ...
  Still waiting ...
  Still waiting ...
  CLIENT_RESULT:
  CLIENT_RESULT: Jenkins created successfully.  Please make note of these credentials:
  CLIENT_RESULT:
  CLIENT_RESULT:    User: [HIDDEN]
  CLIENT_RESULT:    Password: [HIDDEN]
  CLIENT_RESULT:
  CLIENT_RESULT: Note:  You can change your password at: https://jenkinsv1-dmace280.dev.rhcloud.com/me/configure
  CLIENT_RESULT:
  CART_PROPERTIES: username=[HIDDEN]
  CART_PROPERTIES: password=[HIDDEN]
  ENV_VAR_ADD: JENKINS_URL=https://jenkinsv1-dmace280.dev.rhcloud.com/
  ENV_VAR_ADD: JENKINS_USERNAME=[HIDDEN]
  ENV_VAR_ADD: JENKINS_PASSWORD=[HIDDEN]

V2 configure response

  SSH_KEY_ADD: AAAAB3NzaC1yc2EAAAABIwAAAQEA4/LFVs+uNd0sztTnpxKOySFkcpWyIFIlRPE/WkW6ZhZv+7ym4B7yd67oHCue5Y0mk5LIbomannAncvkzGmGoMw++As/HJx6TlaorkfaLziJ8DUSG6tQf3TA6tq5ZIk+dg4d51yNtKKu1ao4pBGtBZY2wQTj9LhGzbiQLudVGFl72Uh+0FnRtUjNfm4     ndId7p2pt4Ee7NEGxC4ibWtGZqfQYh67sOFOcbRHMtlwPELQgLqGhNSvFSSttXzliPAHFXSD6+NHZ8jxpi1jcBtYyzzax/a5Mfmo8VvsunWTIU/4v/IgB+AO8deRBqqbRgdW9KHphzyUSyRobDCoe4LjsIUw==
  BROKER_AUTH_KEY_ADD:
  CLIENT_RESULT: Jenkins created successfully.  Please make note of these credentials:
  CLIENT_RESULT:    User: [HIDDEN]
  CLIENT_RESULT:    Password: [HIDDEN]
  CLIENT_RESULT: Note:  You can change your password at: https://jenkins-dmace280.dev.rhcloud.com/me/configure
  CART_PROPERTIES: username=[HIDDEN]
  CART_PROPERTIES: password=[HIDDEN]
  ENV_VAR_ADD: JENKINS_URL=https://jenkins-dmace280.dev.rhcloud.com/
  ENV_VAR_ADD: JENKINS_USERNAME=[HIDDEN]
  ENV_VAR_ADD: JENKINS_PASSWORD=[HIDDEN]

Beyond this, the node is no longer involved.
Comment 2 Dan McPherson 2013-05-21 11:11:20 EDT
This is as designed after bug:

https://bugzilla.redhat.com/show_bug.cgi?id=960812


The logic being that system_builder is not for the end user.  It is an internal user the end user can't change the pw for.  Admin on the other hand is a user we tell the user to change the pw for and we can't track it.

Note You need to log in before you can comment on or make changes to this bug.